|  | Home · All Classes · All Functions · Overviews

# QFileOpenEvent Class Reference
[QtGui module]

The QFileOpenEvent class provides an event that will be sent when there is a request to open a file or a URL. More...

     #include <QFileOpenEvent>

Inherits QEvent.

- List of all members, including inherited members

## Public Functions

QString | file () const
QUrl | url () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QFileOpenEvent class provides an event that will be sent when there is a request to open a file or a URL.

File open events will be sent to the QApplication::instance() when the operating system requests that a file or URL should be opened. This is a high-level event that can be caused by different user actions depending on the user's desktop environment; for example, double clicking on an file icon in the Finder on Mac OS X.

This event is only used to notify the application of a request. It may be safely ignored.

Note: This class is currently supported for Mac OS X only.

## Member Function Documentation

### QString QFileOpenEvent::file () const

Returns the file that is being opened.

### QUrl QFileOpenEvent::url () const

Returns the url that is being opened.

This function was introduced in Qt 4.6.